#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Gjs-1.88.0

- Next

  gnome-desktop-44.5

- Up
- Home

# gnome-autoar-0.4.5

## Introduction to gnome-autoar

The gnome-autoar package provides a framework for automatic archive extraction, compression, and management.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-autoar/0.4/gnome-autoar-0.4.5.tar.xz

- Download MD5 sum: c8028c4df62c059418d4bdcde345cbe2

- Download size: 52 KB

- Estimated disk space required: 2.8 MB

- Estimated build time: 0.1 SBU

### gnome-autoar Dependencies

#### Required

libarchive-3.8.7 and GTK-3.24.52

#### Recommended

Vala-0.56.19

#### Optional

GTK-Doc-1.36.1 (for building documentation)

## Installation of gnome-autoar

Install gnome-autoar by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D vapi=true        \
                -D tests=true       \
                ..                  &&
    ninja

To test the results, issue: ninja test

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgnome-autoar-0.so and libgnome-autoar-gtk-0.so
Installed Directories: /usr/include/gnome-autoar-0 and /usr/share/gtk-doc/html/gnome-autoar

### Short Descriptions

`libgnome-autoar-0.so` | provides API functions for automatic archive management
`libgnome-autoar-gtk-0.so` | provides GTK+ widgets to aid in automatic archive management

- Prev

  Gjs-1.88.0

- Next

  gnome-desktop-44.5

- Up
- Home